/**
 * 登陆
 */

import store from '../store'

import { UserLogin } from './api'


// Vue.use(Vuex)

export function Login () {
  console.log(store);

  return UserLogin('123',).then(e => {
    console.log(e);
    let userInfo = {
      token: e.token,
      name: e.person.name,
      phone: e.person.phone,
      personId: e.person.personId,
    }
    store.commit('SET_USER_INFO', userInfo)
    hideLoading()

    return;
  })

}

export function hideLoading () {
  document.getElementsByClassName('page-loading-wrapper')[0].style = "display: none"
}

// export function GetCode () {

//   // 从 window.location.href 中截取 code 并且赋值
//   if (window.location.href.indexOf('Code_state') !== -1) {
//     this.code = window.location.href.split('?')[1].split('=')[1].split('&')[0]
//     store.commit('SET_USER_INFO', { code: this.code })
//   }

//   if (this.$store.state.user.code) {
//     // 存在 code 直接调用接口
//     this.handGetUserInfo(this.code)
//   }


//   // 重定向地址重定到当前页面，在路径获取 code
//   if (process.env.NODE_ENV === 'development') {
//     console.log(222)
//     return
//   }
//   /**
//    * 获取 code
//    * @returns
//    */
//   function getCode () {
//     const matched = /[?&]*code=([^&]+)/.exec(location.search)
//     if (matched) {
//       return decodeURIComponent(matched[1])
//     }
//   }

//   const hrefUrl = window.location.href


//   if (this.code === '') {
//     window.location.href = `
// 						https://open.weixin.qq.com/connect/oauth2/authorize
// 						?appid=${this.$store.state.user.appid}
// 						&redirect_uri=${encodeURIComponent(hrefUrl)}
// 						&response_type=code
// 						&scope=snsapi_userinfo
// 						&state=Code_state#wechat_redirect
// 					`
//   }
// }

/**
 * 获取 code
 * @returns 
 */
function getCode () {
  const matched = /[?&]*code=([^&]+)/.exec(location.search)
  if (matched) {
    return decodeURIComponent(matched[1])
  }
}
/**
 * 跳转授权页面
 */
export function redirect (force) {
  if (process.env.NODE_ENV === 'development') return;

  const originCode = localStorage.getItem('wxcode');
  const queryCode = getCode();
  localStorage.setItem('wxcode', queryCode)

  if (force || !queryCode || queryCode === originCode) {

    const local = encodeURIComponent(location.origin + location.pathname)
    const url = `https://open.weixin.qq.com/connect/oauth2/authorize?appid=wxd3bab568bc42d1de&redirect_uri=${local}&response_type=code&scope=snsapi_userinfo&state=123#wechat_redirect`
    window.location.href = url;
  }
}
